Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Fix build when ld is overridden with $LD variable to use a non-GNU ld…

… (e.g. Solaris).

git-svn-id: https://xchat.svn.sourceforge.net/svnroot/xchat@974 893a96be-7f27-4fdf-9d1e-6aeec9d3cce1
  • Loading branch information...
commit 8b8c6262ccff234087883951e8c7f877b1bdeb01 1 parent 3136ee2
zed authored
Showing with 8 additions and 4 deletions.
  1. +2 −2 ChangeLog
  2. +6 −2 configure.in
View
4 ChangeLog
@@ -10,13 +10,13 @@ Where "NUMBER" is the bug number.
2.6.3 - DD/MMM/2006
----------------------------------------------------------------------
- - Updated translations ().
+ - Updated translations (hu, zh_TW).
- Fixed (xc262-fix-ircurl.diff).
- Fixed the tree layout "flashing" (redrawing slowly) after you
switched to tabs and back to tree.
- Fixed plugin/script get_list("users") causing a critical GDK warning
when not executed from the front-most tab.
- -
+ - Added spelling support in the input-box via GTKSpell.
-
-
View
8 configure.in
@@ -127,7 +127,7 @@ AC_ARG_ENABLE(shm,
shm=$enableval, shm=no)
AC_ARG_ENABLE(spell,
-[ --disable-spell disable GtkSpell (default: yes)],
+[ --disable-spell disable use of GtkSpell],
spell=$enableval, spell=yes)
dnl *********************************************************************
@@ -437,7 +437,11 @@ if test "$plugin" = yes; then
dnl we just need the -Wl,--export-dynamic, but not -lgmodule-2.0
RDYNAMIC_FLAGS="`$pkgconfigpath gmodule-2.0 --libs | $sedpath 's/ -lgmodule-2.0//'`"
LIBS="$LIBS $RDYNAMIC_FLAGS"
- VS="`ld --help | grep version-script 2> /dev/null`"
+ if test "$LD" = ""; then
+ VS="`ld --help | grep version-script 2> /dev/null`"
+ else
+ VS="`$LD --help | grep version-script 2> /dev/null`"
+ fi
if test "$VS" != ""; then
GUI_LIBS="$GUI_LIBS -Wl,--version-script,\$(srcdir)/../version-script"
fi
Please sign in to comment.
Something went wrong with that request. Please try again.